load_wav(3)

NAME
load_wav - Loads a sample from a RIFF WAV file. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

SAMPLE *load_wav(const char *filename);

DESCRIPTION
Loads a sample from a RIFF WAV file. Example:
   SAMPLE *sample = load_wav("scream.wav");
   if (!sample)
      abort_on_error("Couldn't scare user!");

RETURN VALUE
Returns a pointer to the SAMPLE or NULL on error. Remember to free this sample later to avoid memory leaks.

SEE ALSO
load_sample(3), register_sample_file_type(3)